#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-bluetooth-47.1

- Next

  gnome-settings-daemon-47.2

- Up
- Home

# gnome-keyring-46.2

## Introduction to GNOME Keyring

The GNOME Keyring package contains a daemon that keeps passwords and other secrets for users.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-keyring/46/gnome-keyring-46.2.tar.xz

- Download MD5 sum: 7a8ab16a87f03ca05fc176925fcce649

- Download size: 1.3 MB

- Estimated disk space required: 129 MB

- Estimated build time: 0.2 SBU (Using parallelism=4; add 0.2 SBU for tests)

### GNOME Keyring Dependencies

#### Required

dbus-1.16.0 and Gcr-3.41.2

#### Recommended

Linux-PAM-1.7.0, libxslt-1.1.42, and OpenSSH-9.9p2

#### Optional

GnuPG-2.4.7, Valgrind-3.24.0, LCOV, and libcap-ng

## Installation of GNOME Keyring

Install GNOME Keyring by running the following commands:

    sed -i 's:"/desktop:"/org:' schema/*.xml &&

    ./configure --prefix=/usr      \
                --sysconfdir=/etc  \
                --enable-ssh-agent &&
    make

A session bus address is necessary to run the tests. To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

sed ... schema/*.xml: This command fixes a deprecated entry in the schema template.

`--enable-ssh-agent`: This switch enables the SSH agent built in to gnome-keyring instead of the one in GCR. This is done due to bugs in gcr which cause the agent to not work correctly.

## Contents

Installed Programs: gnome-keyring (symlink), gnome-keyring-3, and gnome-keyring-daemon
Installed Libraries: gnome-keyring-pkcs11.so (PKCS#11 module) and pam_gnome_keyring.so (PAM module)
Installed Directory: /usr/lib/gnome-keyring and /usr/share/xdg-desktop-portal

### Short Descriptions

gnome-keyring-daemon | is a session daemon that keeps passwords for users

- Prev

  gnome-bluetooth-47.1

- Next

  gnome-settings-daemon-47.2

- Up
- Home